"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _handler = require("@webiny/handler");
var _set = _interopRequireDefault(require("lodash/set"));
var _useElementVariables = require("./useElementVariables");
var _default = exports.default = new _handler.ContextPlugin(context => {
  context.pageBuilder.addPageElementProcessor(({
    block,
    element
  }) => {
    if (element.type !== "button") {
      return;
    }
    const variables = (0, _useElementVariables.useElementVariables)(block, element);
    const label = variables?.find(variable => variable.id.endsWith(".label"))?.value || null;
    const url = variables?.find(variable => variable.id.endsWith(".url"))?.value || null;
    if (label) {
      (0, _set.default)(element, "data.buttonText", label);
    }
    if (url) {
      (0, _set.default)(element, "data.action.href", url);
    }
  });
});

//# sourceMappingURL=button.js.map