"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createPageSettingsSocialGraphQL = void 0;
const createPageSettingsSocialGraphQL = () => {
  return {
    type: "graphql-schema",
    schema: {
      typeDefs: /* GraphQL */`
                type PbOpenGraphTag {
                    property: String
                    content: String
                }

                input PbOpenGraphTagInput {
                    property: String!
                    content: String!
                }

                type PbSocialSettings {
                    title: String
                    description: String
                    meta: [PbOpenGraphTag]
                    image: PbFile
                }

                input PbSocialSettingsInput {
                    title: String
                    description: String
                    meta: [PbOpenGraphTagInput!]
                    image: PbFileInput
                }

                extend type PbPageSettings {
                    social: PbSocialSettings
                }

                extend input PbPageSettingsInput {
                    social: PbSocialSettingsInput
                }
            `
    }
  };
};
exports.createPageSettingsSocialGraphQL = createPageSettingsSocialGraphQL;

//# sourceMappingURL=social.js.map