"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createPageBuilderGraphQL: true,
  createPageBuilderContext: true,
  useElementVariables: true
};
exports.createPageBuilderGraphQL = exports.createPageBuilderContext = void 0;
Object.defineProperty(exports, "useElementVariables", {
  enumerable: true,
  get: function () {
    return _useElementVariables.useElementVariables;
  }
});
var _useElementVariables = require("./elementProcessors/useElementVariables");
var _crud = require("./crud");
var _graphql = _interopRequireDefault(require("./graphql"));
var _elementProcessors = require("./elementProcessors");
var _PageContent = require("./crud/pages/PageContent");
Object.keys(_PageContent).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _PageContent[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _PageContent[key];
    }
  });
});
var _PageElementId = require("./crud/pages/PageElementId");
Object.keys(_PageElementId).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _PageElementId[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _PageElementId[key];
    }
  });
});
const createPageBuilderGraphQL = () => {
  return (0, _graphql.default)();
};
exports.createPageBuilderGraphQL = createPageBuilderGraphQL;
const createPageBuilderContext = params => {
  return [(0, _crud.createCrud)(params), (0, _elementProcessors.createElementProcessors)()];
};
exports.createPageBuilderContext = createPageBuilderContext;

//# sourceMappingURL=index.js.map